| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Static Public Member Functions
Tp::AccountPropertyFilter Class Reference
Utililty classes

The AccountPropertyFilter class provides a filter object to be used to filter accounts by properties. More...

`#include <TelepathyQt/AccountPropertyFilter>`

Inherits Tp::GenericPropertyFilter< Account >.

List of all members.

## Public Member Functions

- ~AccountPropertyFilter ()
- bool isValid () const

## Static Public Member Functions

- static AccountPropertyFilterPtr create ()

## Detailed Description

The AccountPropertyFilter class provides a filter object to be used to filter accounts by properties.

## Constructor & Destructor Documentation

Tp::AccountPropertyFilter::~AccountPropertyFilter | ( |  | ) |

## Member Function Documentation

static AccountPropertyFilterPtr Tp::AccountPropertyFilter::create | ( |  | ) | `[inline, static]`

bool Tp::AccountPropertyFilter::isValid | ( |  | ) | const`[virtual]`

Reimplemented from Tp::GenericPropertyFilter< Account >.